<?php declare(strict_types=1);

return [
    'header_title' => 'Installation',

    'menuitem_language-selection' => 'Start',
    'menuitem_requirements' => 'Systemvoraussetzungen',
    'menuitem_database-configuration' => 'Datenbank-Konfiguration',
    'menuitem_database-import' => 'Installation',
    'menuitem_edition' => 'Shopware-Lizenz',
    'menuitem_configuration' => 'Konfiguration',
    'menuitem_finish' => 'Fertig',
    'menuitem_license' => 'AGB',

    'license_incorrect' => 'Der eingegebene Lizenzschlüssel ist ungültig.',
    'license_does_not_match' => 'Der eingegebene Lizenzschlüssel passt zu keiner kommerziellen Shopware-Version',
    'license_domain_error' => 'Der eingegebene Lizenzschlüssel ist nicht gültig für die Domain: ',

    'version_text' => 'Version:',
    'back' => 'Zurück',
    'forward' => 'Weiter',
    'start' => 'Starten',
    'start_installation' => 'Installation starten',

    'select_language_de' => 'Deutsch',
    'select_language_en' => 'English',
    'select_language_nl' => 'Nederlands',
    'select_language_it' => 'Italiano',
    'select_language_fr' => 'Français',
    'select_language_es' => 'Español',
    'select_language_pt' => 'Português',
    'select_language_pl' => 'Polski',
    'select_language_cz' => 'Czech',
    'select_language_sv' => 'Swedish',

    'language-selection_welcome_title' => 'Willkommen zu Shopware 6',
    'language-selection_select_language' => 'Sprache des Installations-Assistenten',
    'language-selection_header' => 'Deine Shopware-Installation',
    'language-selection_info_message' => 'Diese Auswahl bezieht sich nur auf die Sprache des Installations-Assistenten. Die Systemstandard-Sprache Deines Shops kannst Du später noch definieren.',
    'language-selection_welcome_message' => 'Wir freuen uns, dass Du Teil unserer großartigen, weltweiten Shopware-Community werden möchtest! Jetzt begleiten wir Dich Schritt für Schritt durch den Installationsprozess. Sollten sich Fragen ergeben, schaue bitte zuerst in unser <a class="is--nowrap" href="https://forum.shopware.com" target="_blank">Forum</a>, kontaktiere uns telefonisch unter <a class="is--nowrap" href="tel:+492555928850">(+49) 2555 928850</a> oder per schreibe uns eine <a class="is--nowrap" href="mailto:info@shopware.com">E-Mail</a>.',
    'requirements_header' => 'Systemvoraussetzungen',
    'requirements_header_files' => 'Dateien und Verzeichnisse',
    'requirements_header_system' => 'System',
    'requirements_files_info' => 'Die nachfolgenden Dateien und Verzeichnisse müssen vorhanden und dürfen nicht schreibgeschützt sein.',
    'requirements_table_files_col_check' => 'Datei/Verzeichnis',
    'requirements_table_files_col_status' => 'Status',
    'requirements_error' => 'Es sind nicht alle Voraussetzungen für eine erfolgreiche Installation erfüllt.',
    'requirements_error_title' => 'Dein System ist noch nicht bereit für Shopware 6',
    'requirements_success' => 'Alle Voraussetzungen für eine erfolgreiche Installation sind erfüllt.',
    'requirements_success_title' => 'Dein System ist bereit für Shopware 6',
    'requirements_php_info' => 'Dein Server sollte die folgenden Systemvoraussetzungen erfüllen, um Shopware im ganzen Ausmaß nutzen zu können.',
    'requirements_php_max_compatible_version' => 'Diese Version von Shopware unterstützt PHP bis Version %s. Eine vollständige Funktionalität kann mit neueren PHP Versionen nicht garantiert werden.',
    'requirements_system_col_check' => 'Voraussetzung',
    'requirements_system_col_required' => 'Erforderlich',
    'requirements_system_col_found' => 'Dein System',
    'requirements_system_col_status' => 'Status',
    'requirements_show_all' => '(alles anzeigen)',
    'requirements_hide_all' => '(alles ausblenden)',
    'requirements_status_error' => 'Fehler',
    'requirements_status_warning' => 'Warnung',
    'requirements_status_ready' => 'Bereit',

    'license_agreement_header' => 'Allgemeine Geschäftsbedingungen („AGB“)',
    'license_agreement_info' => 'Hier findest Du unsere Allgemeinen Geschäftsbedingungen. Um die Installation von Shopware 6 fortzusetzen, musst Du die AGB zunächst lesen und dann akzeptieren. Die Community Edition von Shopware 6 ist nach den Bedingungen der MIT-Lizenz freigegeben.',
    'license_agreement_error' => 'Bitte stimme unseren AGB zu!',
    'license_agreement_checkbox' => 'Ich stimme den AGB zu!',

    'database-configuration_header' => 'Datenbank konfigurieren',
    'database-configuration_field_host' => 'Server:',
    'database-configuration_advanced_settings' => 'Erweiterte Einstellungen',
    'database-configuration_field_port' => 'Port:',
    'database-configuration_field_socket' => 'Socket (optional):',
    'database-configuration_field_user' => 'Benutzer:',
    'database-configuration_field_password' => 'Passwort:',
    'database-configuration_field_database' => 'Datenbank-Name:',
    'database-configuration_field_new_database' => 'Neue Datenbank:',
    'database-configuration_info' => 'Um Shopware auf Deinem System zu installieren, brauchst Du die Zugangsdaten zu Deiner Datenbank. Wenn Du Dir nicht sicher bist, was Du hier eintragen musst, kontaktiere bitte Deinen Administrator / Hoster.',
    'database-configuration-create_new_database' => 'Neue Datenbank anlegen',
    'database-configuration_non_empty_database' => 'Die ausgewählte Datenbank enthält bereits Daten. Bitte wähle eine leere Datenbank aus oder erstelle eine neue.',
    'database-configuration_error_required_fields' => 'Bitte fülle alle Felder aus.',

    'database-import_header' => 'Installation',
    'database-import_skip_import' => 'Überspringen',
    'database-import_progress' => 'Fortschritt: ',
    'database-import-hint' => '<strong>Hinweis:</strong> Falls in der konfigurierten Datenbank bereits Shopware-Tabellen bestehen, werden diese durch die Installation / das Update entfernt!',
    'database-import_info_text' => 'Shopware 6 wird auf der von dir ausgewählten Datenbank installiert. Dieser Vorgang kann einige Minuten dauern, abhängig von Deinem System.',
    'database_import_success' => 'Shopware 6 wurde erfolgreich installiert!',
    'database_import_install_label' => 'Datenbank-Installation:',
    'database_import_install_step_text' => 'Schritt',
    'database_import_install_from_text' => 'von',

    'migration_counter_text_migrations' => 'Datenbank-Update wird durchgeführt',
    'migration_counter_text_snippets' => 'Textbausteine werden aktualisiert',
    'migration_update_success' => 'Datenbank erfolgreich importiert!',

    'edition_header' => 'Hast Du bereits eine Shopware-Lizenz?',
    'edition_info' => 'Shopware gibt es in einer kostenlosen <a href="https://de.shopware.com/versionen/" target="_blank">Community Edition </a> sowie in kostenpflichtigen <a href="https://de.shopware.com/versionen/" target="_blank">Professional und Enterprise Editionen</a>.',
    'edition_ce' => 'Nein, ich möchte die kostenfreie <a href="https://de.shopware.com/versionen/" target="_blank">Community Edition</a> verwenden.',
    'edition_cm' => 'Ja, ich habe eine kostenpflichtige Shopware-Lizenz (<a href="https://de.shopware.com/versionen/" target="_blank">Professional oder Enterprise</a>).',
    'edition_license' => 'Trage hier Deinen Lizenzschlüssel ein. Diesen findest Du in Deinem Shopware-Account unter "Lizenzen" → "Produktlizenzen" → "Details / Download":',
    'edition_license_error' => 'Für die Installation einer kostenpflichtigen Shopware-Version ist eine gültige Lizenz erforderlich.',

    'configuration_header' => 'Konfiguration',
    'configuration_sconfig_text' => 'Fast geschafft. Jetzt musst Du nur noch einige grundlegende Einstellungen für Deinen Shop festlegen, dann ist die Installation abgeschlossen.',
    'configuration_sconfig_name' => 'Shopname',
    'configuration_sconfig_name_info' => 'Bitte gib den Namen Deines Shops ein',
    'configuration_sconfig_mail' => 'Shop-E-Mail-Adresse:',
    'configuration_sconfig_mail_info' => 'Bitte gib die E-Mail-Adresse für ausgehende E-Mails ein',
    'configuration_sconfig_domain' => 'Shop-Domain:',
    'configuration_sconfig_language' => 'System-Standardsprache:',
    'configuration_sconfig_currency' => 'Standardwährung:',
    'configuration_sconfig_currency_info' => 'Diese Währung wird standardmäßig für Produktpreise genutzt.',
    'configuration_admin_currency_eur' => 'Euro',
    'configuration_admin_currency_usd' => 'Dollar (US)',
    'configuration_admin_currency_gbp' => 'Britisches Pfund (GB)',
    'configuration_admin_currency_pln' => 'Polnische Zloty',
    'configuration_admin_currency_chf' => 'Schweizer Franken',
    'configuration_admin_currency_sek' => 'Schwedische Kronen',
    'configuration_admin_currency_dkk' => 'Dänische Kronen',
    'configuration_admin_currency_nok' => 'Norwegische Kronen',
    'configuration_admin_username' => 'Admin-Login-Name:',
    'configuration_admin_mail' => 'Admin-E-Mail-Adresse:',
    'configuration_admin_firstName' => 'Admin-Vorname:',
    'configuration_admin_lastName' => 'Admin-Nachname:',
    'configuration_defaults_warning' => 'Die System-Standardsprache und System-Standardwährung können nachträglich nicht geändert werden.',
    'configuration_email_help_text' => 'Diese E-Mail-Adresse wird für ausgehende Shop-E-Mails genutzt.',

    'configuration_admin_language_de' => 'Deutsch',
    'configuration_admin_language_en' => 'Englisch',
    'configuration_admin_password' => 'Admin-Passwort:',

    'finish_header' => 'Installation abgeschlossen',
    'finish_info' => 'Du hast Shopware erfolgreich installiert!',
    'finish_info_heading' => 'Juhu!',
    'finish_first_steps' => '"Erste Schritte" - Guide',
    'finish_frontend' => 'Zur Storefront',
    'finish_backend' => 'Zur Administration',
    'finish_message' => '
<p>
    <strong>Herzlich Willkommen bei Shopware,</strong>
</p>
<p>
    wir freuen uns Dich in unserer Community begrüßen zu dürfen. Du hast Shopware erfolgreich installiert.
<p>Dein Shop ist jetzt einsatzbereit. Falls Du noch neu bei Shopware bist, empfehlen wir den Guide <a href="https://docs.shopware.com/de/shopware-5-de/erste-schritte/erste-schritte-in-shopware" target="_blank">"Erste Schritte in Shopware"</a>. Wenn Du Dich zum ersten Mal in der Administration anmeldest, wird Dich unser First Run Wizard durch die grundlegende Einrichtung Deines Shops führen.</p>
<p>Viel Spaß und Erfolg mit Deinem neuen Onlineshop!</p>',
];
